# $Revision: 1.47 $, $Date: 2011/12/18 16:11:17 $
#
# Conditional build:
%bcond_with	ladcca		# ladcca sesion management support (deprecated) (GPL)
%bcond_without	lash		# LASH support (GPL)
%bcond_with	midishare	# MidiShare support
%bcond_without	readline	# readline line editing (GPL)
%bcond_with	sse		# use the SSE instructions of Pentium3+ or Athlon XP
%bcond_without	static_libs	# don't build static library
#
%ifarch pentium3 pentium4 %{x8664}
%define		with_sse	1
%endif
#
Summary:	FluidSynth - a software, real-time synthesizer
Summary(pl.UTF-8):	FluidSynth - programowy syntezator działający w czasie rzeczywistym
Name:		fluidsynth
Version:	1.1.5
Release:	2
%if %{with ladcca} || %{with lash} || %{with readline}
License:	GPL v2+ (enforced by ladcca/lash/readline), LGPL v2+ (fluidsynth itself)
%else
License:	LGPL v2+
%endif
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/fluidsynth/%{name}-%{version}.tar.bz2
# Source0-md5:	835b98b0ddedbb9cc24b53d66cf900c3
Patch0:		%{name}-midishare.patch
URL:		http://www.fluidsynth.org/
BuildRequires:	alsa-lib-devel >= 0.9.1
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.6.5
BuildRequires:	jack-audio-connection-kit-devel
%{?with_ladcca:BuildRequires:	ladcca-devel < 0.4.0}
%{?with_ladcca:BuildRequires:	ladcca-devel >= 0.3.1}
BuildRequires:	ladspa-devel
%{?with_lash:BuildRequires:	lash-devel >= 0.3}
BuildRequires:	libsndfile-devel >= 1.0.18
BuildRequires:	libtool
%{?with_midishare:BuildRequires:	midishare-devel}
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel >= 19
BuildRequires:	pulseaudio-devel >= 0.9.8
%{?with_readline:BuildRequires:	readline-devel}
BuildRequires:	rpmbuild(macros) >= 1.213
Requires:	alsa-lib >= 0.9.1
Requires:	glib2 >= 1:2.6.5
Requires:	libsndfile >= 1.0.18
Suggests:	soundfont-fluid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fluid Synth is a software, real-time synthesizer based on the
Soundfont 2 specifications.

%description -l pl.UTF-8
Fluid Synth to programowy, działający w czasie rzeczywistym syntezator
oparty na specyfikacji Soundfont 2.

%package devel
Summary:	Development files for the FluidSynth
Summary(pl.UTF-8):	Pliki nagłówkowe dla FluidSynth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9.1
Requires:	dbus-devel >= 1.0.0
Requires:	glib2-devel >= 1:2.6.5
Requires:	jack-audio-connection-kit-devel
%{?with_lash:Requires:	lash-devel >= 0.3}
Requires:	libsndfile-devel >= 1.0.18
%{?with_midishare:Requires:	midishare-devel}
Requires:	portaudio-devel >= 19
Requires:	pulseaudio-devel >= 0.9.8
%{?with_readline:Requires:	readline-devel}

%description devel
This package contains the header files necessary to develop
applications using FluidSynth.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne do tworzenia i
kompilacji aplikacji korzystających z bibliotek FluidSynth.

%package static
Summary:	Static FluidSynth library
Summary(pl.UTF-8):	Statyczna wersje biblioteki FluidSynth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of the FluidSynth library.

%description static -l pl.UTF-8
Ten pakiet zawiera bibliotekę statyczną FluidSynth.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	%{!?with_ladcca:--disable-ladcca} \
	%{!?with_lash:--disable-lash} \
	%{!?with_midishare:--disable-midishare} \
	%{!?with_static_libs:--disable-static} \
	%{?with_sse:--enable-SSE} \
	--enable-jack-support \
	--enable-ladspa \
	--enable-profiling \
	%{!?with_readline:--without-readline}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfluidsynth.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/fluidsynth
%attr(755,root,root) %{_libdir}/libfluidsynth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfluidsynth.so.1
%{_mandir}/man1/fluidsynth.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfluidsynth.so
%{_includedir}/fluidsynth.h
%{_includedir}/%{name}
%{_pkgconfigdir}/fluidsynth.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfluidsynth.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fluidsynth.spec,v $
Revision 1.47  2011/12/18 16:11:17  qboosh
- release 2

Revision 1.46  2011/12/18 15:54:58  qboosh
- added lash bcond, note GPL license if built with ladcca/lash or readline
- added midishare patch and bcond (off by default as midishare is unfinished in PLD)

Revision 1.45  2011/12/17 20:04:41  qboosh
- updated dependencies (added glib2, dbus; updated versions)
- dropped bogus --enable-coreaudio (CoreAudio is Mac specific)

Revision 1.44  2011/09/06 07:14:41  lisu
- updated to 1.1.5
- bump version of soname

Revision 1.43  2011/08/30 08:29:41  lisu
- updated to 1.1.4
- version of soname has been changed

Revision 1.42  2011/05/17 10:00:45  lisu
- updated to 1.1.3
- new Source0 URL

Revision 1.41  2011/04/12 20:38:17  lisu
- drop libtool file
- rel 3

Revision 1.40  2011/02/27 22:04:44  charles
- updated BRs/Rs

Revision 1.39  2011/02/27 21:28:26  arekm
- release 2

Revision 1.38  2011/01/24 00:24:12  sparky
- BR: gettext-devel, glib2-devel

Revision 1.37  2011/01/03 09:31:19  caleb
- Up to 1.1.1
- Removed obsolete patch, similar fix implemented upstream

Revision 1.36  2009/11/26 17:08:25  jajcus
- Suggest: soundfont-fluid (package is useless without any soundfont)
- Release: 3

Revision 1.35  2008/09/14 12:00:13  charles
- with readline bcond
- rel. 2

Revision 1.34  2008/09/14 11:53:26  charles
- lt/ac/am; added -build.patch; BR: autoconf, libtool
- %files cleanups
- without static_libs bcond

Revision 1.33  2007/12/31 23:38:18  zbyniu
- up to 1.0.8

Revision 1.32  2007-02-13 07:16:44  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.30  2006/11/21 11:19:31  qboosh
- unified

Revision 1.29  2006/11/21 11:02:08  qboosh
- release 2

Revision 1.28  2006/11/21 10:30:58  qboosh
- it just builds on non-x86, probably since 2003 (>1.0.3)

Revision 1.27  2006/11/19 16:16:25  qboosh
- cosmetics

Revision 1.26  2006/05/22 21:19:21  freetz
- 1.0.7a

Revision 1.25  2006/05/10 12:18:17  darekr
.la perms

Revision 1.24  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.23  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.22  2005/06/12 13:19:57  freetz
- 1.0.6, source url updated

Revision 1.21  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.20  2004/12/21 01:16:43  zbyniu
- BR: automake, pkgconfig

Revision 1.19  2004/11/05 20:21:12  ankry
- EA, rel. 4

Revision 1.18  2004/10/11 11:26:06  pluto
- genreic athlon doesn't have SSE.

Revision 1.17  2004/10/10 10:24:57  pluto
- profiling added.
- use sse by default where applicable.

Revision 1.16  2004/10/10 09:48:18  pluto
- spaces -> tabs
- license fixed.

Revision 1.15  2004/08/31 06:40:52  snurf
- typos / formatting / etc.

Revision 1.14  2004/05/13 02:30:40  adgor
- Refreshing config.sub

Revision 1.13  2004/05/12 17:22:51  freetz
- strict internal deps (tested with gcc 3.4 - safe)

Revision 1.12  2003/11/20 16:24:13  adgor
- Bcond with ladcca
- With ladcca BR: 0.4.0 > ladcca-devel >= 0.3.1 (since 0.4.0 the CCA_Use_Jack
  and CCA_Use_Alsa client flags are removed)
- Release 2

Revision 1.11  2003/11/07 22:22:54  freetz
- BR ladspa-devel

Revision 1.10  2003/10/11 15:30:36  freetz
- up to 1.0.3
- modern style bcond
- cosmetics (inspired by PLD cosmetics crew)

Revision 1.9  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.8  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.7  2003/06/22 10:27:59  freetz
- updated to new version
- removed Source1 (already in sources)

Revision 1.6  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:47:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/11 13:03:57  qboosh
- fixed pl and file lists

Revision 1.3  2003/05/03 23:11:52  luzik
- added missed fluid_sse.h

Revision 1.2  2003/05/03 22:44:11  luzik
- added bcond _with_sse
- added subpackages

Revision 1.1  2003/05/03 00:40:18  luzik
- initial release
